Subject: Re: FVWM: binding a key to a specific window

From: "Rouben Rostamian" <[email-masked]>
Date: Mon, 27 Jan 2003 08:53:00 -0500

Dominik Vogt <[email-masked]> wrote:
> On Sun, Jan 26, 2003 at 01:21:25PM -0500, Rouben Rostamian wrote:
> > 
> > In short, I want to press a key to close a FvwmButtons module.
> > Is such a thing possible?  I am using fvwm2 version 2.4.5.
> 
> You can not bind a key to a specific window, but you can write
> something like this:
> 
>   Function do_this_or_that
>   + I Current (!FvwmButtons) Function do_this
>   + I Current (FvwmButtons) Function do_that
> 
>   Function do_this
>   + I ...
> 
>   Function do_that
>   + I Close
> 
>   key Escape A M Function do_this_or_that
> 
> Or if you don't want the key to do something only with
> FvwmButtons, the example reduces to
> 
>    key Escape A M Current (FvwmButtons) Close
> 

Thanks, Dominik.  That's a complete solution to my question.
I appreciate the help.

-- 
Rouben Rostamian <[email-masked]>
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].